KRAKATOA(1)

NAME
Krakatoa - a verification tool for Java programs.

SYNOPSIS
krakatoa [options] files

OPTIONS

-parse-only
    stops after parsing

-type-only
    stops after typing

-abstract
    <file> stops after typing and output abstract view to <file>

-gen-only
    <file> stops after producing <file>.jc

-print-call-graph
    stops after call graph and print call graph

-d  debugging mode

-why3
    <why3 command> (default: ide)

-v  verbose mode

-q  quiet mode (default)

-werror
    treats warnings as errors

-version
    prints version and exit

-javacard
    source is Java Card

-nonnull-sem
    <kind> nonnull-by-default semantics: none (default), fields, all

-help
    Display this list of options

--help
    Display this list of options

SEE ALSO
The tutorial and reference manual for krakatoa can be obtained at the address http://krakatoa.lri.fr/krakatoa.html